config/routes.rb
Salasrosario::Application.routes.draw do
  
  root :to => 'reservations#index' #RAILS 3

  resources :users,                only: [:index, :new, :create, :show, :edit, :update, :destroy]
  resources :musicians,            only: [:index, :new, :create, :show, :edit, :update]
  resources :bands,                only: [:index, :new, :create, :edit, :update]
  resources :rooms,                only: [:index, :edit, :update]
  resources :room_prices,          only: [:index, :new, :create, :show, :edit, :update, :destroy]
  resources :reservation_types,    only: [:index]
  resources :reservations,         only: [:index, :new, :create, :show, :edit, :update]
  resources :cancellations,        only: [:new, :create]

end

app/models/band.rb
class Band < ActiveRecord::Base
  # has_and_belongs_to_many :musicians
  has_many :reservations
  attr_accessible :band_id, :name
  validates :name, :presence => true
  validates :name, :uniqueness => true
end

app/controllers/bands_controller.rb
class BandsController < ApplicationController
  # GET /bands
  # GET /bands.json
  def index
    @bands = Band.all

    respond_to do |format|
      format.html # index.html.erb
      format.json { render json: @bands }
    end
  end

  # GET /bands/1
  # GET /bands/1.json
  def show
    @band = Band.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.json { render json: @band }
    end
  end

  # GET /bands/new
  # GET /bands/new.json
  def new
    @band = Band.new

    respond_to do |format|
      format.html # new.html.erb
      format.json { render json: @band }
    end
  end

  # GET /bands/1/edit
  def edit
    @band = Band.find(params[:id])
  end

  # POST /bands
  # POST /bands.json
  def create
    @band = Band.new(params[:band])

    respond_to do |format|
      if @band.save
        # format.html { redirect_to @band, notice: 'Band was successfully created.' }
        format.html { redirect_to bands_url, notice: "Band #{@band.name} was successfully created." }

        format.json { render json: @band, status: :created, location: @band }
      else
        format.html { render action: "new" }
        format.json { render json: @band.errors, status: :unprocessable_entity }
      end
    end
  end

  # PUT /bands/1
  # PUT /bands/1.json
  def update
    @band = Band.find(params[:id])

    respond_to do |format|
      if @band.update_attributes(params[:band])
        format.html { redirect_to edit_band_path(@band), notice: 'Band was successfully updated.' }
        format.json { head :no_content }
      else
        format.html { render action: "edit" }
        format.json { render json: @band.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /bands/1
  # DELETE /bands/1.json
  # def destroy
  #   @band = Band.find(params[:id])
  #   @band.destroy

  #   respond_to do |format|
  #     format.html { redirect_to bands_url }
  #     format.json { head :no_content }
  #   end
  # end
  
end

app/helpers/bands_helper.rb
module BandsHelper
end

app/views/bands/_form.html.erb
<%= form_for @band, html: {class: "form-horizontal"} do |f| %>
  
  <% if @band.errors.any? %>
    <div class="alert alert-error">
      <button type="button" class="close" data-dismiss="alert">×</button>
      <h3><%= pluralize(@band.errors.count, "error") %> prohibited this band from being saved:</h3>
      <ul>
      <% @band.errors.full_messages.each do |msg| %>
        <li><%= msg %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <% if notice %>
    <div class="alert alert-success">
      <button type="button" class="close" data-dismiss="alert">×</button>
      <p><%= notice %></p>
    </div>
  <% end %>

  <div class="control-group">
    <%= f.label :name, { class: 'control-label' } %>
    <div class="controls">
      <%= f.text_field :name %>
    </div>
  </div>

  <div class="form-actions">
    <%= f.submit "Guardar", { class: 'btn btn-primary' } %>
    <%= link_to 'Atras', bands_path, { class: 'btn' } %>
  </div>

<% end %>

app/views/bands/edit.html.erb
<h1>Editar Banda</h1>

<%= render 'form' %>

app/views/bands/index.html.erb
<h1>Listado de Bandas</h1>

<% if notice %>
  <div class="alert alert-success">
    <button type="button" class="close" data-dismiss="alert">×</button>
    <p><%= notice %></p>
  </div>
<% end %>

<table class="table table-hover table-condensed table-striped table-bordered">

<% @bands.each do |band| %>
  <tr>
    <td><%= band.name %></td>
    <td><%= link_to 'Editar', edit_band_path(band) %></td>
  </tr>
<% end %>
</table>

<%= link_to 'Nueva Banda', new_band_path, { class: 'btn btn-primary' } %>

app/views/bands/new.html.erb
<h1>Nueva banda</h1>

<%= render 'form' %>

app/views/bands/show.html.erb
<p id="notice"><%= notice %></p>

<p>
  <b>Nombre:</b>
  <%= @band.name %>
</p>


<%= link_to 'Editar', edit_band_path(@band) %> |
<%= link_to 'Atras', bands_path %>